org.apache.ignite.internal.util.test

## Class GridTestPrintStreamFactory

- java.lang.Object
- - org.apache.ignite.internal.util.test.GridTestPrintStreamFactory

    public final class GridTestPrintStreamFactory
    extends Object

Factory that allow to acquire/release Print Stream for test logging.

### Method Summary

Methods
`static GridTestPrintStream` `acquireErr()` Acquires output stream for logging errors in tests.
`static GridTestPrintStream` `acquireOut()` Acquires output stream for logging tests.
`static PrintStream` `getStdErr()` Gets original standard error.
`static PrintStream` `getStdOut()` Gets original standard out.
`static void` `releaseErr()` Releases standard error.
`static void` `releaseOut()` Releases standard out.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getStdOut

    public static PrintStream getStdOut()

Gets original standard out.

Returns:
  Original standard out.

#### getStdErr

    public static PrintStream getStdErr()

Gets original standard error.

Returns:
  Original standard error.

#### acquireOut

    public static GridTestPrintStream acquireOut()

Acquires output stream for logging tests.

Returns:
  Junit out print stream.

#### acquireErr

    public static GridTestPrintStream acquireErr()

Acquires output stream for logging errors in tests.

Returns:
  Junit error print stream.

#### releaseOut

    public static void releaseOut()

Releases standard out. If there are no more acquired standard outs, then it is reset to its original value.

#### releaseErr

    public static void releaseErr()

Releases standard error. If there are no more acquired standard errors, then it is reset to its original value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016